aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-flask-basicauth/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-14 08:24:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:25 +0000
commit16a7d41f1b3d42c4191a8c4601245e6a0f2b9cb4 (patch)
treebdbbfbc470096244cc1c5b39e7b1780e7987952b /testing/py-flask-basicauth/APKBUILD
parent610cbb5fd23de2118b8ec4387e21b280282b3baf (diff)
downloadaports-16a7d41f1b3d42c4191a8c4601245e6a0f2b9cb4.tar.gz
aports-16a7d41f1b3d42c4191a8c4601245e6a0f2b9cb4.tar.bz2
aports-16a7d41f1b3d42c4191a8c4601245e6a0f2b9cb4.tar.xz
testing/py-flask-basicauth: new aport
Flask HTTP basic access authentication https://pypi.python.org/pypi/Flask-BasicAuth
Diffstat (limited to 'testing/py-flask-basicauth/APKBUILD')
-rw-r--r--testing/py-flask-basicauth/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-flask-basicauth/APKBUILD b/testing/py-flask-basicauth/APKBUILD
new file mode 100644
index 0000000000..0106dfad91
--- /dev/null
+++ b/testing/py-flask-basicauth/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-flask-basicauth
+_pkgname=Flask-BasicAuth
+pkgver=0.2.0
+pkgrel=0
+pkgdesc="Flask HTTP basic access authentication"
+url="https://pypi.python.org/pypi/Flask-BasicAuth"
+arch="noarch"
+license="BSD"
+depends="python py-flask"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="6c7d204e06c5133f42e4171cfb2f42e6 Flask-BasicAuth-0.2.0.tar.gz"
+sha256sums="df5ebd489dc0914c224419da059d991eb72988a01cdd4b956d52932ce7d501ff Flask-BasicAuth-0.2.0.tar.gz"
+sha512sums="921b05e273e9a4b06f00cb68b68ddca20328f1a3afd1dd779d973792f1382a2bf2c6a8f70719e097dfa3d00d8e511fc35fba218de3fbb8ed6197ddbaa8027f93 Flask-BasicAuth-0.2.0.tar.gz"